MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029425Community[OCCT] OCCT:Visualizationpublic2018-01-13 11:172018-07-14 12:41
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029425: Visualization - AIS_InteractiveContext::SetAutomaticHilight() has no affect
DescriptionTwo methods SetAutomaticHilight and SetToHilightSelected in class AIS_InteractiveContext has no affect, when setting these two method to false, MoveTo will also hilight the selection. It seems there is no way to disable the automatic highlight selection, while it's necessary to manage the selection in its own application side.

myContext->SetAutomaticHilight(Standard_False);
myContext->SetToHilightSelected(Standard_False);
Steps To Reproduce
pload MODELING VISUALIZATION
box b1 0 0 0 1 2 3
box b2 4 0 0 1 2 3
vclear
vinit View1
vdisplay -dispMode 0 b1
vdisplay -dispMode 1 b2
vfit
#vselprops -highlightSelected 0
vselprops -autoHighlight 0
vmoveto 100 100
vselect 100 100
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025467verifiedkgv Open CASCADE Visualization - Possibility to remove AIS_LocalContext class 

-  Notes
(0073402)
kgv (developer)
2018-01-13 12:10
edited on: 2018-01-13 12:11

AIS_InteractiveContext::ToHilightSelected() does what it is supposed to do, though you should carefully read it's description to see why there is "Selected" in the method's name.

AIS_InteractiveContext::AutomaticHilight() is currently handled only within (deprecated) Local Context (in description: "Returns true if the automatic highlight mode is active in an open context."), though I have not checked if it actually works.

Patches are welcome!

(0076863)
git (administrator)
2018-06-21 12:19

Branch CR29425 has been created by kgv.

SHA-1: a06d23283f3adcbd943abc857afe1697990b4766


Detailed log of new commits:

Author: kgv
Date: Thu Jun 21 12:19:08 2018 +0300

    0029425: Visualization - AIS_InteractiveContext::SetAutomaticHilight() has no affect
    
    AIS_InteractiveContext::MoveTo() and ::Select() now do not highlight entities
    when ::AutomaticHilight() option is turned off.
    
    vselprops command has been extended with new arguments -autoHighlight and -highlightSelected
    (vhighlightselected command is now deprecated).
(0076864)
kgv (developer)
2018-06-21 12:20

Patch is ready for review.
(0077518)
git (administrator)
2018-07-12 13:14

Branch CR29425 has been updated forcibly by kgv.

SHA-1: c2ffe14111c08f345d34ba13503ec69ffafe03f8
(0077533)
san (developer)
2018-07-12 15:57

Branch CR29425 reviewed without remarks.
(0077603)
git (administrator)
2018-07-14 12:41

Branch CR29425 has been deleted by inv.

SHA-1: c2ffe14111c08f345d34ba13503ec69ffafe03f8

- Related Changesets
occt: master be3d8cbc
Timestamp: 2018-06-21 09:19:08
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029425: Visualization - AIS_InteractiveContext::SetAutomaticHilight() has no affect

AIS_InteractiveContext::MoveTo() and ::Select() now do not highlight entities
when ::AutomaticHilight() option is turned off.

vselprops command has been extended with new arguments -autoHighlight and -highlightSelected
(vhighlightselected command is now deprecated).
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-01-13 11:17 Vico Liang New Issue
2018-01-13 11:17 Vico Liang Assigned To => kgv
2018-01-13 12:10 kgv Note Added: 0073402
2018-01-13 12:10 kgv Note Edited: 0073402 View Revisions
2018-01-13 12:11 kgv Note Edited: 0073402 View Revisions
2018-03-13 14:38 kgv Relationship added related to 0025467
2018-06-21 11:43 kgv Summary SetAutomaticHilight and SetToHilightSelected has no affect => Visualization - AIS_InteractiveContext::SetAutomaticHilight and SetToHilightSelected has no affect
2018-06-21 11:43 kgv Summary Visualization - AIS_InteractiveContext::SetAutomaticHilight and SetToHilightSelected has no affect => Visualization - AIS_InteractiveContext::SetAutomaticHilight() has no affect
2018-06-21 12:19 git Note Added: 0076863
2018-06-21 12:20 kgv Note Added: 0076864
2018-06-21 12:20 kgv Assigned To kgv => san
2018-06-21 12:20 kgv Status new => resolved
2018-06-21 12:23 kgv Steps to Reproduce Updated View Revisions
2018-07-12 13:14 git Note Added: 0077518
2018-07-12 15:57 san Note Added: 0077533
2018-07-12 15:57 san Assigned To san => bugmaster
2018-07-12 15:57 san Status resolved => reviewed
2018-07-12 17:58 bugmaster Status reviewed => tested
2018-07-12 17:59 bugmaster Test case number => Not needed
2018-07-14 12:26 bugmaster Changeset attached => occt master be3d8cbc
2018-07-14 12:26 bugmaster Status tested => verified
2018-07-14 12:26 bugmaster Resolution open => fixed
2018-07-14 12:41 git Note Added: 0077603


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker